controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\Noticias;
use app\models\Articulos;
use \yii\data\ActiveDataProvider;



class SiteController extends Controller
{    
    public function actionIndex(){
       $noticias= Noticias::find()
                  ->all();
        
        return $this->render('index',[
            "noticias"=>$noticias,
        ]);
    }
    
    public function actionArticulos(){
        $articulos= Articulos::find()
                    ->all();
        return $this->render('articulos',[
            'articulos'=>$articulos,
            
        ]);
    }
    public function actionLeer($id) {
        $articulos= Articulos::find()
                    ->where([
                        'id'=>$id,
                    ])
                    ->all();
        return $this->render('leer',[
            'articulos'=>$articulos,
        ]);
    }
    public function actionTodo(){
        $consulta= Noticias::find();
        
        $consulta1= Articulos::find();
        
        $datos=new ActiveDataProvider([
            'query'=>$consulta,
                       'pagination'=>[
                'pageSize'=>1,
                'pageParam'=>'noticia',//con esto consegui que la paginacion sea de manera independiente.
            ]
        ]);
        
        $datos1=new ActiveDataProvider([
            'query'=>$consulta1,
            'Pagination'=>[
                'PageSize'=>1
            ]
            
        ]);
        
        return $this->render('todo',[
            "dataProvider"=>$datos,
            "dataProvider1"=>$datos1,
            
        ]);
    }
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    $a=Html::img("@web/imgs/f1.jpg",["class"=>"img-responsive","style"=>"width:60px"]);
    NavBar::begin([
        'brandLabel' => $a,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-left',
            'style'=>"height:60px"],
        'items' => [
            ['label' => 'Noticias', 'url' => ['/site/index'],'linkOptions'=>["style"=>"height:60px"]],
            ['label' => 'Articulos', 'url' => ['/site/articulos'],'linkOptions'=>["style"=>"height:60px"]],
            ['label' => 'Todo', 'url' => ['/site/todo'],'linkOptions'=>["style"=>"height:60px"]],
           
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">&copy; Daniel Delgado <?= date('Y') ?></p>

        <p class="pull-right">Curso de desarrollo 2018</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>